
From: Paul Fulghum <paulkf@microgate.com>

Add internal loopback support for asynchronous mode operation.

Signed-off-by: Paul Fulghum <paulkf@microgate.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/char/synclink.c |    5 +++++
 1 files changed, 5 insertions(+)

diff -puN drivers/char/synclink.c~synclinkc-add-loopback-to-async-mode drivers/char/synclink.c
--- 25/drivers/char/synclink.c~synclinkc-add-loopback-to-async-mode	Wed Sep  7 15:52:06 2005
+++ 25-akpm/drivers/char/synclink.c	Wed Sep  7 15:52:06 2005
@@ -6151,6 +6151,11 @@ static void usc_set_async_mode( struct m
 		usc_OutReg(info, PCR, (u16)((usc_InReg(info, PCR) | BIT13) & ~BIT12));
 	}
 
+	if (info->params.loopback) {
+		info->loopback_bits = 0x300;
+		outw(0x0300, info->io_base + CCAR);
+	}
+
 }	/* end of usc_set_async_mode() */
 
 /* usc_loopback_frame()
_
